### Enumeration

# Gtk RevealerTransitionType

#### Declaration

    enum Gtk.RevealerTransitionType

#### Description [src]

These enumeration values describe the possible transitions when the child of a `GtkRevealer` widget is shown or hidden.

#### Members

`GTK_REVEALER_TRANSITION_TYPE_NONE`

  No transition.

  - Value: `0`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_CROSSFADE`

  Fade in.

  - Value: `1`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_RIGHT`

  Slide in from the left.

  - Value: `2`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_LEFT`

  Slide in from the right.

  - Value: `3`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_UP`

  Slide in from the bottom.

  - Value: `4`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN`

  Slide in from the top.

  - Value: `5`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SWING_RIGHT`

  Floop in from the left.

  - Value: `6`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SWING_LEFT`

  Floop in from the right.

  - Value: `7`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SWING_UP`

  Floop in from the bottom.

  - Value: `8`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_SWING_DOWN`

  Floop in from the top.

  - Value: `9`
  - Available since: 4.0
`GTK_REVEALER_TRANSITION_TYPE_FADE_SLIDE_RIGHT`

  Combination of `GTK_REVEALER_TRANSITION_TYPE_CROSSFADE` and `GTK_REVEALER_TRANSITION_TYPE_SLIDE_RIGHT`.

  - Value: `10`
  - Available since: 4.22
`GTK_REVEALER_TRANSITION_TYPE_FADE_SLIDE_LEFT`

  Combination of `GTK_REVEALER_TRANSITION_TYPE_CROSSFADE` and `GTK_REVEALER_TRANSITION_TYPE_SLIDE_LEFT`.

  - Value: `11`
  - Available since: 4.22
`GTK_REVEALER_TRANSITION_TYPE_FADE_SLIDE_UP`

  Combination of `GTK_REVEALER_TRANSITION_TYPE_CROSSFADE` and `GTK_REVEALER_TRANSITION_TYPE_SLIDE_UP`.

  - Value: `12`
  - Available since: 4.22
`GTK_REVEALER_TRANSITION_TYPE_FADE_SLIDE_DOWN`

  Combination of `GTK_REVEALER_TRANSITION_TYPE_CROSSFADE` and `GTK_REVEALER_TRANSITION_TYPE_SLIDE_DOWN`.

  - Value: `13`
  - Available since: 4.22